#pragma once
#include "MapInformationSystem.h"
#include "InformationCell.h"
#include "BWAPI.h"
#include "BWTA.h"
#include <vector>

class UnitManager;

using namespace std;
using namespace BWAPI;
using namespace BWTA;

class MapInformationSystem {
public:
	MapInformationSystem(UnitManager* uman);
	void initialize();
	void update();
	void drawMap();
	std::vector<InformationCell*> getMapCells();
	InformationCell* getBaseCellAt(BWTA::Region* r);

private:
	std::vector<InformationCell*> mapCells;
	UnitManager* unitManager;
protected:




};